{
    attributes = (
        {
            columnName = FDIP_CODE; 
            externalType = VARCHAR2; 
            internalInfo = {_nameInObjectStore = FDIP_KEY; }; 
            name = fdipCode; 
            valueClassName = NSString; 
            width = 7; 
        }, 
        {
            columnName = RDOM_CODE; 
            externalType = VARCHAR2; 
            name = rdomCode; 
            valueClassName = NSString; 
            width = 3; 
        }
    ); 
    attributesUsedForLocking = (fdipCode, rdomCode); 
    className = EOGenericRecord; 
    classProperties = (fdipCode, rdomCode, toScolFormationDiplome, toScolRuoaDomaine); 
    externalName = SCOL_RUOA_REPARTITION_DOMAINE; 
    fetchSpecificationDictionary = {}; 
    name = ScolRuoaRepartitionDomaine; 
    primaryKeyAttributes = (fdipCode, rdomCode); 
    relationships = (
        {
            destination = ScolFormationDiplome; 
            internalInfo = {_nameInObjectStore = scolFormationDiplome; }; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = fdipCode; sourceAttribute = fdipCode; }); 
            name = toScolFormationDiplome; 
        }, 
        {
            destination = ScolRuoaDomaine; 
            internalInfo = {_nameInObjectStore = scolRuoaDomaine; }; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = rdomCode; sourceAttribute = rdomCode; }); 
            name = toScolRuoaDomaine; 
        }
    ); 
}
